AOMedia AV1 Codec: Data Fields

| AOMedia AV1 Codec

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- above_block_height : aom_partition_features
- above_block_width : aom_partition_features
- above_contexts : AV1Common
- above_entropy_context : macroblockd
- above_mbmi : macroblockd
- above_partition_context : macroblockd
- above_pred : OBMCBuffer
- above_txfm_context : macroblockd
- accurate_bit_estimate : HIGH_LEVEL_SPEED_FEATURES
- active_best_quality : PRIMARY_RATE_CONTROL
- active_map : aom_active_map, AV1_COMP
- active_worst_quality : RATE_CONTROL
- actual_num_seg1_blocks : CYCLIC_REFRESH, LAYER_CONTEXT, macroblock
- actual_num_seg2_blocks : CYCLIC_REFRESH, LAYER_CONTEXT, macroblock
- adjust_num_frames_for_arf_filtering : HIGH_LEVEL_SPEED_FEATURES
- after_part_ab : aom_partition_features
- after_part_none : aom_partition_features
- after_part_rect : aom_partition_features
- after_part_split : aom_partition_features
- algo_cfg : AV1EncoderConfig
- all_lossless : FeatureFlags
- all_one_sided_refs : AV1_COMP
- alloc_size : MBMIExtFrameBufferInfo
- allocated_colbuf_size : CdefInfo
- allocated_cols : AV1EncRowMultiThreadInfo
- allocated_linebuf_size : CdefInfo
- allocated_mi_rows : CdefInfo
- allocated_num_workers : CdefInfo
- allocated_rows : AV1EncRowMultiThreadInfo
- allocated_sb_rows : AV1EncRowMultiThreadInfo
- allocated_srcbuf_size : CdefInfo
- allocated_tile_cols : AV1EncRowMultiThreadInfo
- allocated_tile_rows : AV1EncRowMultiThreadInfo
- allocated_tiles : AV1_COMP
- allow_high_precision_mv : FeatureFlags
- allow_intrabc : aom_screen_content_tools_info, FeatureFlags
- allow_lowbitdepth : aom_codec_dec_cfg
- allow_ref_frame_mvs : FeatureFlags
- allow_screen_content_tools : aom_screen_content_tools_info, FeatureFlags
- allow_sub_blk_me_in_tf : HIGH_LEVEL_SPEED_FEATURES
- allow_warped_motion : FeatureFlags
- alt2_ref_frame : ExtRefreshFrameFlagsInfo
- alt_ref_frame : ExtRefreshFrameFlagsInfo, RefreshFrameInfo
- ambient_err : AV1_COMP
- angle_delta : MB_MODE_INFO
- angle_delta_cost : ModeCosts
- arf_q : PRIMARY_RATE_CONTROL
- arnr_max_frames : AlgoCfg
- arnr_strength : AlgoCfg
- auto_intra_tools_off : IntraModeCfg
- auto_key : KeyFrameCfg
- available : aom_sb_tpl_features
- available_bs_size : AV1_COMP
- avg_frame_qindex : PRIMARY_RATE_CONTROL
- avg_q : PRIMARY_RATE_CONTROL